• Unable to update system, pacman unable to resolve "deepin-wm-switcher"


    Everyone,

    first time posting here. A few days ago I installed Antergos with Deepin as the DE. Now some updates roll in, also for Deepin. I’m installing them no problem - but I’m already asked if I want to replace deepin-wm-switcher with startdde. If I say yes or no - the result is the same. That package cannot be updated, but the DE worked. Then, some more minor updates roll in.

    No matter if I use the graphical Package Manager or pacman on the command line, I’m met with an error message stating that removing “deepin-wm-switcher” would break its dependency of “deepin-wm-switcher”. So the cat is kinda biting in its tail here.

    Since then Deepin is not working and I have switched to GNOME for the moment.

    Anybody had the same issue, and if so, what have you done to resolve it?

  • @systm-mstr Hello, Yes, I do have a similar problem.
    I wanted to re-install Antergos with Deepin, but cnchi stop working with an error related to metalinks while being in the user profile form panel. I have the following error message appearing in the cnchi.log file:

    2018-05-23 16:06:50 [ERROR] metalink.py(132) create(): Can't resolve these dependencies: deepin-wm-switcher 
    2018-05-23 16:06:50 [ERROR] download.py(150) create_metalinks_list(): Error creating metalink for package antergos-deepin-meta. Installation will stop
    2018-05-23 16:06:50 [ERROR] download.py(182) create_metalinks_list(): Can't create download set. An exception of type InstallError occured. Arguments:
    ('Error creating metalink for package antergos-deepin-meta. Installation will stop',)
    2018-05-23 16:06:50 [ERROR] process.py(130) run(): 'Cannot create download package list (metalinks).'
    2018-05-23 16:06:50 [ERROR] process.py(135) run(): Traceback (most recent call last):
    2018-05-23 16:06:50 [ERROR] process.py(135) run():   File "/usr/share/cnchi/src/installation/process.py", line 92, in run
        self.create_metalinks_list()
    2018-05-23 16:06:50 [ERROR] process.py(135) run():   File "/usr/share/cnchi/src/installation/process.py", line 82, in create_metalinks_list
        raise misc.InstallError(txt)
    2018-05-23 16:06:50 [ERROR] process.py(135) run(): misc.extra.InstallError: 'Cannot create download package list (metalinks).'
    
  • The cause of this issue is the antergos-deepin-meta package, it includes deepin-wm-switcher but this is not longer aviable at Archlinux Repositories, it is replaced by startdde as you can see at its PKGBUILD:
    https://git.archlinux.org/svntogit/community.git/tree/trunk/PKGBUILD?h=packages/startdde

    I will report this as a BUG on Github.

    @developers

  • @joekamprad said in Unable to update system, pacman unable to resolve "deepin-wm-switcher":

    deepin-wm-switcher

    tempoary you can remove the meta package for deepin and do the update:

    sudo pacman -R antergos-deepin-meta

  • @joekamprad Many thanx for your support :)

  • @limse you are welcome!

  • https://build.antergos.com/package/antergos-deepin-meta
    New version is on the build queue and will be up soon!

pacman111 deepin61 update55 Posts 7Views 745
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.